Bug 1338912 (CVE-2015-8879) - CVE-2015-8879 php: odbc_bindcols function mishandles driver behavior for SQL_WVARCHAR columns
Summary: CVE-2015-8879 php: odbc_bindcols function mishandles driver behavior for SQL_...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8879
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1338927
Blocks: 1338914
TreeView+ depends on / blocked
 
Reported: 2016-05-23 15:39 UTC by Andrej Nemec
Modified: 2019-09-29 13:49 UTC (History)
13 users (show)

Fixed In Version: php 5.6.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-01 13:25:13 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2750 0 normal SHIPPED_LIVE Moderate: rh-php56 security, bug fix, and enhancement update 2016-11-15 16:40:02 UTC

Description Andrej Nemec 2016-05-23 15:39:45 UTC
A vulnerability was found in php. The odbc_bindcols function in ext/odbc/php_odbc.c in PHP before 5.6.12 mishandles driver behavior for SQL_WVARCHAR columns, which allows remote attackers to cause a denial of service (application crash) in opportunistic circumstances by leveraging use of the odbc_fetch_array function to access a certain type of Microsoft SQL Server table.

Upstream bug:

https://bugs.php.net/bug.php?id=69975

Comment 1 Andrej Nemec 2016-05-23 16:36:17 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1338927]

Comment 2 Tomas Hoger 2016-06-01 13:25:13 UTC
Upstream commits:

http://git.php.net/?p=php-src.git;a=commitdiff;h=16db4d1462bf3eacb93c0cd940f799160a284b24
http://git.php.net/?p=php-src.git;a=commitdiff;h=344ff5dd4c538eaebea075f7705321f8b86d0b47

This bug is triggered when using certain ODBC drivers and when database columns have certain types.  If a PHP application access such columns, it triggers the problem.  No malicious request is needed.  It does not seem this bug should have been classified as security issue.

Comment 3 errata-xmlrpc 2016-11-15 11:52:51 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2016:2750 https://rhn.redhat.com/errata/RHSA-2016-2750.html


Note You need to log in before you can comment on or make changes to this bug.